# perturbatr: analysis of high-throughput gene perturbation screens
#
# Copyright (C) 2018 Simon Dirmeier
#
# This file is part of perturbatr
#
# perturbatr is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# perturbatr is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with perturbatr. If not, see <http://www.gnu.org/licenses/>.


#' perturbatr
#'
#' Statistical analysis of high-throughput genetic perturbation screens
#'
#' @import magrittr
#'
#' @author Simon Dirmeier | Computational Biology Group,
#'  ETH ZURICH | \email{simon.dirmeier@@web.de}
#' @name perturbatr-package
#'
#' @references
#'  de Wilde, Adriaan H., et al. (2015),
#'  A kinome-wide small interfering RNA screen identifies proviral and
#'  antiviral host factors in severe acute respiratory syndrome coronavirus
#'  replication, including double-stranded RNA-activated protein kinase and
#'  early secretory pathway proteins. \cr
#'  \emph{Journal of virology} \cr \cr
#'  Reiss, Simon, et al. (2011),
#'  Recruitment and activation of a lipid kinase by hepatitis C virus NS5A is
#'  essential for integrity of the membranous replication compartment.\cr
#'  \emph{Cell Host & Microbe} \cr \cr
#'
#' @docType package
#' @keywords package
NULL
